package com.simuwang.manage.service;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.query.EmailFileQuery;
import com.simuwang.base.pojo.dto.query.EmailParseQuery;
import com.simuwang.base.pojo.vo.EmailFileInfoVO;
import com.simuwang.base.pojo.vo.EmailParseDetailVO;
import com.simuwang.base.pojo.vo.EmailParseInfoVO;
import com.simuwang.base.pojo.vo.EmailTypeRuleVO;
import com.smppw.common.pojo.enums.TimeRange;

import java.util.List;
import java.util.Map;

/**
 * FileName: ParseEmailService
 * Author:   chenjianhua
 * Date:     2024/9/10 11:26
 * Description: ${DESCRIPTION}
 */
public interface ParseEmailService {

    void saveEmailType(EmailTypeRuleVO emailTypeRuleVO);

    EmailTypeRuleVO searchEmailType();

    MybatisPage<EmailParseInfoVO> searchEmailList(EmailParseQuery emailParseQuery);

    Map<String, Integer> searchEmailCount(TimeRange timeRange);

    EmailFileInfoVO getEmailFileById(Integer fileId);

    MybatisPage<EmailParseDetailVO> searchEmailDetailById(EmailFileQuery emailFileQuery);
}
